# Copyright (c) 2000-2012, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define section   free
%define _binary_payload w9.gzdio
%define _source_payload w9.gzdio
%define _binary_filedigest_algorithm 1
%define _source_filedigest_algorithm 1

Name:           javacApi
Version:        0.9
Release:        2%{?dist}
Epoch:          0
Summary:        Embeddable Java compiler API and implementation

Group:          Development/Libraries/Java
License:        BSD-style
URL:            http://cocoon.apache.org/
Source0:        http://svn.apache.org/repos/asf/cocoon/tags/cocoon-2.1/RELEASE_2_1_5/src/blocks/scratchpad/javacAPI/javacApi-0.9.zip
Source1:        http://repo1.maven.org/maven2/org/dspace/xmlui/javac/javacApi/0.9/javacApi-0.9.pom
Source2:        http://repo1.maven.org/maven2/org/dspace/xmlui/javac/javacImpl/0.9/javacImpl-0.9.pom
Source3:        javacApi.license.txt

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  ant >= 0:1.6.0

Requires:  java >= 0:1.6.0

Requires(post):   jpackage-utils >= 0:1.7.5
Requires(postun): jpackage-utils >= 0:1.7.5

%description
This project contains an experimental API and implementation for an 
embeddable Java compiler. For more information check the Javadoc's under 
the doc directory.
The implementation uses the eclipse.org Java Development Tools (JDT)
compiler: see http://www.eclipse.org for more information

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
Javadoc for %{name}


%prep
%setup -q -c
cp %{SOURCE3} .

%build
cd %{name}-%{version}
ant javacApi.jar javacImpl.jar javacUtil.jar javadoc


%install
rm -rf $RPM_BUILD_ROOT
cd %{name}-%{version}
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 javacApi.jar \
  $RPM_BUILD_ROOT%{_javadir}/javacApi-%{version}.jar
install -pm 644 javacImpl.jar \
  $RPM_BUILD_ROOT%{_javadir}/javacImpl-%{version}.jar
install -pm 644 javacUtil.jar \
  $RPM_BUILD_ROOT%{_javadir}/javacUtil-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

# pom
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-javacApi.pom
%add_to_maven_depmap org.dspace.xmlui.javac javacApi %{version} JPP javacApi
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-javacImpl.pom
%add_to_maven_depmap org.dspace.xmlui.javac javacImpl %{version} JPP javacImpl

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%doc javacApi.license.txt

%files javadoc
%defattr(-,root,root,-)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%changelog
* Thu Nov 01 2012 Will Tatam <will.tatam@red61.com> 0.9-2
- Auto rebuild for JPackage 6 in centos5 mock

* Wed Sep 05 2012 Ralph Apel <r.apel at r-apel.de> - 0:0.9-1
- First release
 
